compact3
java.util.prefs

## Class BackingStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.prefs.BackingStoreException

- All Implemented Interfaces:
    Serializable

      public class BackingStoreException
      extends Exception

  Thrown to indicate that a preferences operation could not complete because of a failure in the backing store, or a failure to contact the backing store.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BackingStoreException(String s)` | Constructs a BackingStoreException with the specified detail message.
    `BackingStoreException(Throwable cause)` | Constructs a BackingStoreException with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BackingStoreException

          public BackingStoreException(String s)

      Constructs a BackingStoreException with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### BackingStoreException

          public BackingStoreException(Throwable cause)

      Constructs a BackingStoreException with the specified cause.
      Parameters:
        `cause` - the cause

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.